SerializableAttributeArea (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.shared
Class SerializableAttributeArea

    java.lang.Object
      org.gcube.portlets.d4sreporting.common.shared.SerializableAttributeArea

All Implemented Interfaces:
  Serializable

    public class SerializableAttributeArea

extends Object
implements Serializable

`SerializableAttributeArea` class

Version:
  April 2011 (1.0)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it
See Also:
  Serialized Form

Constructor Summary
`SerializableAttributeArea()`
`SerializableAttributeArea(String attrName, ArrayList<SerializableAttribute> values)`

Method Summary
`String` | `getAttrName()`
`ArrayList<SerializableAttribute>` | `getValues()`
`void` | `setAttrName(String attrName)`
`void` | `setValues(ArrayList<SerializableAttribute> values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableAttributeArea

    public SerializableAttributeArea()

### SerializableAttributeArea

    public SerializableAttributeArea(String attrName,
                                     ArrayList<SerializableAttribute> values)

Parameters:
  `attrName` - .
  `values` - .

Method Detail

### getAttrName

    public String getAttrName()

  Returns:
    name

### setAttrName

    public void setAttrName(String attrName)

  Parameters:
    `attrName` - n

### getValues

    public ArrayList<SerializableAttribute> getValues()

  Returns:
    the list

### setValues

    public void setValues(ArrayList<SerializableAttribute> values)

  Parameters:
    `values` - -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.